import request from '@/utils/request'

/**
 * 数据概览页面 API
 */

const DashboardLayoutApi = {
  layout: '/dashboard-layout/layout',
  findYMax: '/dashboard-layout/yMax',
  generateData: '/dashboard-layout/generateData',
}

export function findLayout() {
  return request({
    url: DashboardLayoutApi.layout,
    method: 'get',
  })
}

export function findYMax() {
  return request({
    url: DashboardLayoutApi.findYMax,
    method: 'get',
  })
}

export function generateData() {
  return request({
    url: DashboardLayoutApi.generateData,
    method: 'post',
  })
}
